//
//  ViewController.swift
//  Alerts
//
//  Created by Matthew Newill on 09/05/2017.
//  Copyright © 2017 Mobient. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
    }
    
    @IBAction func showAlert() {
        let alertController = UIAlertController.init(title: "A Title", message: "A Message", preferredStyle: .alert)
        let cancel = UIAlertAction.init(title: "Cancel", style: .cancel, handler: { action in
            print(action)
        })
        let destructive = UIAlertAction.init(title: "Destructive", style: .destructive, handler: { action in
            print(action)
        })
        let save = UIAlertAction.init(title: "Save", style: .default, handler: { action in
            let textField = alertController.textFields![0] as UITextField
            print(textField.text!)
        })
        
        alertController.addTextField { (textField) in
            textField.placeholder = "Enter Search Term"
        }
        
        alertController.addAction(cancel)
        alertController.addAction(save)
        alertController.addAction(destructive)
        self.present(alertController, animated: true, completion: nil)
    }

    @IBAction func showAction() {
        let alertController = UIAlertController.init(title: "A Title", message: "A Message", preferredStyle: .actionSheet)
        let cancel = UIAlertAction.init(title: "Cancel", style: .cancel, handler: { action in
            print(action)
        })
        let ok = UIAlertAction.init(title: "OK", style: .default, handler: { action in
            print(action)
        })
        let destructive = UIAlertAction.init(title: "Destructive", style: .destructive, handler: { action in
            print(action)
        })
        alertController.addAction(cancel)
        alertController.addAction(ok)
        alertController.addAction(destructive)
        self.present(alertController, animated: true, completion: nil)
    }
    
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

}

